## boinc-app-seti 7.19~svn2051

=== debian/changelog ===
boinc-app-seti (7.19~svn2051-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch to dh-autoreconf.
  * Tweak app-info.xml file after upstream suggestion,
    thanks Claggy!
  * Moved app name from setiathome_enhanced to setiathome_v7
    for upstream suggestion.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 05 Mar 2014 09:40:55 +0100

boinc-app-seti (7.19~svn2051-1) experimental; urgency=low

  * Re-imported the old version with no changes, just for bumping
    the version number and allowing the upload of the package
    due to the 7.19~svn2050-2.is.7.00~svn1933-2 version, greater
    than 7.19~svn2050-3.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 25 Feb 2014 14:05:41 +0100

boinc-app-seti (7.19~svn2050-3) UNRELEASED; urgency=low

  * Uploading to experimental, fixing armel and armhf ftbfs.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 15 Feb 2014 17:34:43 +0100

boinc-app-seti (7.19~svn2050-2.is.7.00~svn1933-2) unstable; urgency=low

  * Re added autotools-dev as build-dep, fixing arm64 ftbfs

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 30 Dec 2013 23:04:20 +0100

boinc-app-seti (7.19~svn2050-2.is.7.00~svn1933-1) unstable; urgency=low

  * Tweak debian/rules, forcing 7.00 as version
  * Rebuild 1933 against new boinc_7.2.33+dfsg-1 (Closes: #733204)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 29 Dec 2013 17:09:45 +0100

boinc-app-seti (7.19~svn2050-1) unstable; urgency=low

  * New upstream snapshot.
  * Fixed a ftbfs on ubuntu arm64.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 22 Nov 2013 13:34:26 +0100

boinc-app-seti (7.19~svn2022-2) UNRELEASED; urgency=low

  * Bumped std version to 3.9.5, no changes required.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 06 Nov 2013 10:15:31 +0100

boinc-app-seti (7.19~svn2022-1) unstable; urgency=low

  * Upload to unstable
  * New upstream release, addressing some autosetup warnings
  * Added autotools-dev as build-dep (Closes: #727333)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 11 Oct 2013 18:22:23 +0200

boinc-app-seti (7.09~svn1982-1) experimental; urgency=low

  * New upstream release, addressing some arm* problems

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 06 Sep 2013 12:09:30 +0200

boinc-app-seti (7.07~svn1976-1) unstable; urgency=low

  * New upstream release, patch refresh.
  * Tweaked debian/rules, now uses _autosetup script.
  * Added libtool as build-dep.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 04 Sep 2013 18:43:28 +0200

=== debian/control ===
Source: boinc-app-seti
Section: science
Priority: extra
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Guo Yixuan <culu.gyx@gmail.com>,
 Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dh-autoreconf,
 automake,
 dpkg-dev (>= 1.16.1.1),
 boinc-dev (>= 7.1.21+dfsg) | libboinc-app-dev (>= 7.1.21+dfsg),
 autoconf,
 libtool,
 libfftw3-dev,
 libgsl0-dev,
 freeglut3-dev,
 libjpeg-dev,
 libxmu-dev,
 libxi-dev
Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc-app-seti.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc-app-seti.git
Homepage: http://setiathome.berkeley.edu/

Package: boinc-app-seti
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, boinc-client
Suggests: boinc-manager
Conflicts: boinc-app-seti-graphics
Description: SETI@home application for the BOINC client
 SETI@home is a distributed computing project using Internet-connected
 computers for the Search for Extraterrestrial Intelligence (SETI). It
 searches for possible evidence of extraterrestrial intelligence in
 radio transmissions collected by the Arecibo radio telescope.
 .
 This package contains the SETI@home Enhanced application for the BOINC
 distributed computing platform. The BOINC client downloads the radio
 data which the SETI@home application analyzes looking for signals of
 extraterrestrial origin. Results are then send back to the SETI@home
 server by the BOINC client.
 .
 Note that this package has been primarily created for users of
 architectures for which SETI@home does not provide its application.
 If your architecture is x86 or AMD64 the BOINC client automatically
 downloads the latest SETI@home application if you participate in this
 project. There is no need to install this package then, except for
 it to take all technical hurdles from you to have your very custom
 SETI patch or new compiler flags evaluated. The configuration of
 BOINC to find the local SETI binary is all performed by the package.
 .
 This package only provides command line application.
 The boinc-app-seti-graphics package provides graphic application.

Package: boinc-app-seti-graphics
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends}, boinc-client
Suggests: boinc-manager
Conflicts: boinc-app-seti
Description: SETI@home application for the BOINC client (with graphics)
 SETI@home is a distributed computing project using Internet-connected
 computers for the Search for Extraterrestrial Intelligence (SETI). It
 searches for possible evidence of extraterrestrial intelligence in
 radio transmissions collected by the Arecibo radio telescope.
 .
 This package contains the SETI@home Enhanced application for the BOINC
 distributed computing platform. The BOINC client downloads the radio
 data which the SETI@home application analyzes looking for signals of
 extraterrestrial origin. Results are then send back to the SETI@home
 server by the BOINC client.
 .
 Note that this package has been primarily created for users of
 architectures for which SETI@home does not provide its application.
 If your architecture is x86 or AMD64 the BOINC client automatically
 downloads the latest SETI@home application if you participate in this
 project. There is no need to install this package then, except for
 it to take all technical hurdles from you to have your very custom
 SETI patch or new compiler flags evaluated. The configuration of
 BOINC to find the local SETI binary is all performed by the package.
 .
 This package provides graphic interface for SETI@HOME Enhanced application.
 The boinc-app-seti package only provides command line application.

Package: boinc-app-seti-dbg
Architecture: any
Depends: ${misc:Depends},
 boinc-app-seti (= ${binary:Version}) |
 boinc-app-seti-graphics (= ${binary:Version})
Section: debug
Description: debug symbols for SETI@home
 SETI@home is a distributed computing project using Internet-connected
 computers for the Search for Extraterrestrial Intelligence (SETI). It
 searches for possible evidence of extraterrestrial intelligence in
 radio transmissions collected by the Arecibo radio telescope.
 .
 This package provide debug information. It comes handy when you have
 optimised the code of SETI yourself and find it crash or be stuck in
 an infinite loop or you may be asked to install the package for some
 joint investigation with the SETI core developers.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp

# Uncomment for particular version of gcc
#export  CC := gcc-4.7
#export CXX := g++-4.7
#export CPP := cpp-4.7

# Uncomment for clang (llvm)
#export CC  = clang
#export CXX = clang

# Set default flags with dpkg-buildflags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_BUILD_GNU_CPU  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


# PKG = boinc-app-seti

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

# Uncomment this to enable compilation with UltraSPARC specific compiler
# flags. This will most probably increase setiathome's performance or if
# your are unlucky will break it.
#
#CPUTYPE = $(shell head -1 /proc/cpuinfo | cut -f 2 -d ':' | cut -f 3 -d '\' )
#ifeq (UltraSparc, $(CPUTYPE))
#  CPUSUBTYPE = $(shell head -1 /proc/cpuinfo | cut -f 2 -d ':' | \
#    cut -f 4 -d '\' | cut -f 1 -d '+')
#  CFLAGS += -mcpu=v9
#  CXXFLAGS += -mcpu=v9
#  ifeq (III, $(CPUSUBTYPE))
#    CFLAGS += -mcpu=ultrasparc3
#    CXXFLAGS += -mcpu=ultrasparc3
#  else
#    CFLAGS += -mcpu=ultrasparc
#    CXXFLAGS += -mcpu=ultrasparc
#  endif
#  CFLAGS += -m64
#  CXXFLAGS += -m64
#  DEB_CONFIGURE_EXTRA_FLAGS += --enable-bitness=64
#endif


# Append this to CFLAGS and CXXFLAGS.
CFLAGS_APPEND += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api

ifneq (clang,$(CXX))
CFLAGS_APPEND += -O3
#CFLAGS_APPEND += -mnative
#CFLAGS_APPEND += -mno-avx
#CFLAGS_APPEND += -msse4.2
GCCVERSION=$(shell $(CXX) --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+\.[0-9]+$$' | cut -f1,2 -d.)
# gcc 4.6 on precise has issues while gcc 4.7 and 4.8 on sid are just fine with -mno-avx set on non bulldozer/SandyBridge machines
# CFLAGS_APPEND += -flto
# LDFLAGS += -flto
endif

ifeq (clang,$(CXX))
GCCVERSION=$(shell $(CXX) --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+-[0-9]+$$' | cut -f1 -d-)
CFLAGS_APPEND += -O3
# -O4 implies link-time optimisation with clang, fails
endif

# Although all source file are C++, some handwritten rules in
# client/Makefile.am seem to use CFLAGS only.
CFLAGS   += $(CFLAGS_APPEND)
CXXFLAGS += $(CFLAGS_APPEND)

# This is a shame, but there is yet no AltiVec for Linux PowerPC with SETI
SETIEXTRAFLAGS= --disable-altivec

ifeq ($(DEB_BUILD_GNU_CPU),x86_64)
  SETIEXTRAFLAGS += --enable-sse3
#  SETIEXTRAFLAGS += --disable-avx
#  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
endif

ifeq ($(DEB_BUILD_GNU_CPU),i686)
  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
endif


# Get upstream version from debian version.
UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | \
  cut -d ' ' -f 2 | cut -d '-' -f 1 | cut -d '+' -f 1 | cut -d '~' -f 1 | perl -pe 's/^.*?://')
# Remove dot "." in upstream version for use in app_info.xml
APP_INFO_VERSION = $(subst .,,$(UPSTREAM_VERSION))


%:
	dh $@ --parallel --with autoreconf

CFGFLAGS = \
	  --disable-static-client \
	  --disable-static \
	  --enable-shared \
	  --enable-client \
	  --disable-server \
	  --enable-dependency-tracking \
	  --with-gnu-ld $(SETIEXTRAFLAGS)

override_dh_auto_configure:
	#./_autosetup
	#if [ ! -r ltmain.sh ]; then libtoolize; fi
	#aclocal -I m4 && autoheader && automake && autoconf
	# Remember to not configure with --disable-dependency-tracking, because
	# it breaks some handwritten rules in client/Makefile.am which require
	# that DEPDIR exists.
	#
	# use two directories for graphics/nographics
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
	BOINCDIR=/usr/include/boinc dh_auto_configure --builddirectory=graphics \
	  -- $(CFGFLAGS) --enable-graphics
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
	BOINCDIR=/usr/include/boinc dh_auto_configure --builddirectory=nographics \
	  -- $(CFGFLAGS) --disable-graphics

override_dh_auto_build:
	dh_auto_build -O--parallel --builddirectory=graphics
	dh_auto_build -O--parallel --builddirectory=nographics

override_dh_auto_clean:
	# may be seen after invoking binary
	# rm -f client/boinc_finish_called client/result.sah client/state.sah client/stderr.txt client/wisdom.sah client/work_unit.sah client/boinc_lockfile client/project_specific_defines.h
	rm -rf configure Makefile.in aclocal.m4 assimilator/Makefile.in client/Makefile.in sah_config.h.in splitter_fft/Makefile.in splitter_pfb/Makefile.in tools/Makefile.in
	rm -rf compile config.guess config.sub depcomp install-sh ltmain.sh m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4 missing
	# separate building dirs
	rm -rf graphics/
	rm -rf nographics/
	dh_auto_clean

override_dh_install: 
	cp -f nographics/client/seti_boinc  nographics/client/setiathome_v7
	cp -f graphics/client/seti_boinc    graphics/client/setiathome_v7
	cp -f graphics/client/seti_graphics graphics/client/setiathome_graphics
	cat debian/extra/app_info.xml.in | perl -ne 'print unless /^#/' | \
	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
	cat debian/extra-graphics/app_info.xml.in | perl -ne 'print unless /^#/' | \
	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra-graphics/app_info.xml
	dh_install


override_dh_strip:
	dh_strip --dbg-package=boinc-app-seti-dbg

override_dh_clean:
	dh_clean debian/extra/app_info.xml debian/extra-graphics/app_info.xml


origDir ?= .

get-orig-source:
	if [ ! -d "$(origDir)" ]; then \
	  echo "Destination directory '$(origDir)' does not exist."; \
	  exit; \
	fi; \
	cd $(origDir); \
	EXP=/tmp/download-seti; \
	nice="nice -5"; if [ -x /usr/bin/ionice ]; then nice="$$nice ionice -c 3"; fi ; \
	$$nice wget -O$$EXP "http://git.debian.org/?p=pkg-boinc/scripts.git;a=blob_plain;f=export-seti;hb=HEAD" --quiet && \
	chmod +x $$EXP && $$EXP && rm -f $$EXP

.PHONY: get-orig-source

## boinc-app-seti 7.28~svn2408

=== debian/changelog ===
boinc-app-seti (7.28~svn2408-1) unstable; urgency=medium

  * Updated Guo's uid in debian/control.
  * New upstream release, build against boinc 7.4.8.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 08 Jun 2014 10:26:17 +0200

boinc-app-seti (7.28~svn2385-1) unstable; urgency=medium

  * New upstream release, build against new boinc 7.3.19.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 05 Jun 2014 19:19:23 +0200

boinc-app-seti (7.28~svn2203-1) unstable; urgency=medium

  * New upstream release, patch refresh.
  * Drop fix-armel.patch and fix-ftbfs-arm64.patch, addressed
    upstream.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 14 Apr 2014 00:10:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
- Guo Yixuan <culu.gyx@gmail.com>,
+ Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
  Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), dh-autoreconf,

## boinc-app-seti 7.28~svn2633

=== debian/changelog ===
boinc-app-seti (7.28~svn2633-3) unstable; urgency=medium

  * Bump std-version to 3.9.6, no changes required.
  * Stop depending on old boinc-dev.
  * Update copyright, now in machine readable format.
  * Add description to patches, reorder them,
    use patch name as written in README.patches.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 30 Sep 2014 14:49:40 +0200

boinc-app-seti (7.28~svn2633-2) unstable; urgency=medium

  * Rebuild against new boinc.
  * Add some missing copyright entries.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 27 Sep 2014 23:46:22 +0200

boinc-app-seti (7.28~svn2633-1) unstable; urgency=medium

  * Rebuild against new boinc.
  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 04 Sep 2014 18:15:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
  Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
  Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dh-autoreconf,
  automake,
  dpkg-dev (>= 1.16.1.1),
- boinc-dev (>= 7.1.21+dfsg) | libboinc-app-dev (>= 7.1.21+dfsg),
+ libboinc-app-dev,
  autoconf,
  libtool,
  libfftw3-dev,
@@ -53,7 +53,7 @@
 
 Package: boinc-app-seti-graphics
 Architecture: any
-Depends: ${misc:Depends},${shlibs:Depends}, boinc-client
+Depends: ${misc:Depends}, ${shlibs:Depends}, boinc-client
 Suggests: boinc-manager
 Conflicts: boinc-app-seti
 Description: SETI@home application for the BOINC client (with graphics)

=== debian/rules ===
--- 
+++ 
@@ -133,14 +133,14 @@
 	dh_auto_build -O--parallel --builddirectory=nographics
 
 override_dh_auto_clean:
-	# may be seen after invoking binary
-	# rm -f client/boinc_finish_called client/result.sah client/state.sah client/stderr.txt client/wisdom.sah client/work_unit.sah client/boinc_lockfile client/project_specific_defines.h
+	dh_auto_clean
 	rm -rf configure Makefile.in aclocal.m4 assimilator/Makefile.in client/Makefile.in sah_config.h.in splitter_fft/Makefile.in splitter_pfb/Makefile.in tools/Makefile.in
 	rm -rf compile config.guess config.sub depcomp install-sh ltmain.sh m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4 missing
 	# separate building dirs
 	rm -rf graphics/
 	rm -rf nographics/
-	dh_auto_clean
+	# may be seen after invoking binary
+	rm -f boinc_finish_called result.sah state.sah stderr.txt stderrgfx.txt wisdom.sah work_unit.sah boinc_lockfile project_specific_defines.h boinc_setiathome_*
 
 override_dh_install: 
 	cp -f nographics/client/seti_boinc  nographics/client/setiathome_v7
@@ -150,14 +150,11 @@
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
 	cat debian/extra-graphics/app_info.xml.in | perl -ne 'print unless /^#/' | \
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra-graphics/app_info.xml
-	dh_install
+	dh_install --list-missing
 
 
 override_dh_strip:
 	dh_strip --dbg-package=boinc-app-seti-dbg
-
-override_dh_clean:
-	dh_clean debian/extra/app_info.xml debian/extra-graphics/app_info.xml
 
 
 origDir ?= .

## boinc-app-seti 7.28~svn3013

=== debian/changelog ===
boinc-app-seti (7.28~svn3013-1) unstable; urgency=medium

  * New upstream release.
  * d/p/216-fix-build.patch fix build error

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 23 Feb 2015 14:49:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,29 @@
 Priority: extra
 Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
+           Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
+           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), dh-autoreconf,
- automake,
- dpkg-dev (>= 1.16.1.1),
- libboinc-app-dev,
- autoconf,
- libtool,
- libfftw3-dev,
- libgsl0-dev,
- freeglut3-dev,
- libjpeg-dev,
- libxmu-dev,
- libxi-dev
+Build-Depends: autoconf,
+               automake,
+               debhelper (>= 9),
+               dh-autoreconf,
+               dpkg-dev (>= 1.16.1.1),
+               freeglut3-dev,
+               libboinc-app-dev,
+               libfftw3-dev,
+               libgsl0-dev,
+               libjpeg-dev,
+               libtool,
+               libxi-dev,
+               libxmu-dev
 Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc-app-seti.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc-app-seti.git
 Homepage: http://setiathome.berkeley.edu/
 
 Package: boinc-app-seti
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, boinc-client
+Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
 Suggests: boinc-manager
 Conflicts: boinc-app-seti-graphics
 Description: SETI@home application for the BOINC client
@@ -53,7 +54,7 @@
 
 Package: boinc-app-seti-graphics
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, boinc-client
+Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
 Suggests: boinc-manager
 Conflicts: boinc-app-seti
 Description: SETI@home application for the BOINC client (with graphics)
@@ -82,9 +83,8 @@
 
 Package: boinc-app-seti-dbg
 Architecture: any
-Depends: ${misc:Depends},
- boinc-app-seti (= ${binary:Version}) |
- boinc-app-seti-graphics (= ${binary:Version})
+Depends: boinc-app-seti (= ${binary:Version}) | boinc-app-seti-graphics (= ${binary:Version}),
+         ${misc:Depends}
 Section: debug
 Description: debug symbols for SETI@home
  SETI@home is a distributed computing project using Internet-connected

## boinc-app-seti 8.00~svn3363

=== debian/changelog ===
boinc-app-seti (8.00~svn3363-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * Transition to auto-dbg packages
  * Removed dependency on unused libgsl (Closes: #823878), thanks for spotting
    and suggesting so go to James Cowgill.
  * Bumped standard to 3.9.8.
  * Demand at least i686 architecture for x86.
  * Introduce -march=native for local builds and added respective instructions
    to debian/README.Debian

  [ Gianfranco Costamagna ]
  * Fix VCS fields.
  * Remove build fix for arm, preferring upstream fix.
  * Fix build with gcc-6 and glib-2.23 (Closes: #831186)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jul 2016 11:40:51 +0200

boinc-app-seti (8.00~svn3363-2) unstable; urgency=medium

  * Fix an armhf build failure by reverting the pld removal.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Feb 2016 09:15:18 +0100

boinc-app-seti (8.00~svn3363-1) unstable; urgency=medium

  * New upstream release (Closes: #813326).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 10:01:38 +0100

boinc-app-seti (7.28~svn3106-1) unstable; urgency=medium

  * New upstream release.
  * Update my uid.
  * Set priority optional
  * Drop useless build-dependencies (autoconf, automake, libtool)
    useless with dh-autoreconf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Sep 2015 09:41:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,22 @@
 Source: boinc-app-seti
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
-           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
-Standards-Version: 3.9.6
-Build-Depends: autoconf,
-               automake,
-               debhelper (>= 9),
+           Gianfranco Costamagna <locutusofborg@debian.org>
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.16.1.1),
                freeglut3-dev,
                libboinc-app-dev,
                libfftw3-dev,
-               libgsl0-dev,
                libjpeg-dev,
-               libtool,
                libxi-dev,
                libxmu-dev
-Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc-app-seti.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc-app-seti.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-boinc/boinc-app-seti.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-boinc/boinc-app-seti.git
 Homepage: http://setiathome.berkeley.edu/
 
 Package: boinc-app-seti
@@ -80,19 +76,3 @@
  .
  This package provides graphic interface for SETI@HOME Enhanced application.
  The boinc-app-seti package only provides command line application.
-
-Package: boinc-app-seti-dbg
-Architecture: any
-Depends: boinc-app-seti (= ${binary:Version}) | boinc-app-seti-graphics (= ${binary:Version}),
-         ${misc:Depends}
-Section: debug
-Description: debug symbols for SETI@home
- SETI@home is a distributed computing project using Internet-connected
- computers for the Search for Extraterrestrial Intelligence (SETI). It
- searches for possible evidence of extraterrestrial intelligence in
- radio transmissions collected by the Arecibo radio telescope.
- .
- This package provide debug information. It comes handy when you have
- optimised the code of SETI yourself and find it crash or be stuck in
- an infinite loop or you may be asked to install the package for some
- joint investigation with the SETI core developers.

=== debian/rules ===
--- 
+++ 
@@ -59,13 +59,9 @@
 
 ifneq (clang,$(CXX))
 CFLAGS_APPEND += -O3
-#CFLAGS_APPEND += -mnative
 #CFLAGS_APPEND += -mno-avx
 #CFLAGS_APPEND += -msse4.2
 GCCVERSION=$(shell $(CXX) --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+\.[0-9]+$$' | cut -f1,2 -d.)
-# gcc 4.6 on precise has issues while gcc 4.7 and 4.8 on sid are just fine with -mno-avx set on non bulldozer/SandyBridge machines
-# CFLAGS_APPEND += -flto
-# LDFLAGS += -flto
 endif
 
 ifeq (clang,$(CXX))
@@ -74,23 +70,57 @@
 # -O4 implies link-time optimisation with clang, fails
 endif
 
+ifeq (linux,$(shell dpkg-architecture -qDEB_TARGET_ARCH_OS))
+ifneq (,$(findstring local,$(DEB_BUILD_OPTIONS)))
+LOCALOPTIMISATION="yes"
+endif
+ifeq (,$(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'UNRELEASED'))
+LOCALOPTIMISATION="yes"
+endif
+endif
+
+# If the package is not meant to be distributed to main servers, then maximise optimisation
+ifneq (,$(LOCALOPTIMISATION))
+  $(info I: Setting native flags for optimisation)
+  CFLAGS_APPEND += -march=native -mtune=native
+else
+  $(info W: Would have set native flags for optimisation but supported only for linux)
+ifeq ($(DEB_BUILD_GNU_CPU),i686)
+  # Demand i686 class system
+  CFLAGS_APPEND += -march=i686 -mcpu=i686
+endif
+endif
+
+ifeq ($(DEB_BUILD_GNU_CPU),x86_64)
+  SETIEXTRAFLAGS += --enable-sse3
+#  SETIEXTRAFLAGS += --disable-avx
+#  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
+endif
+
+ifeq ($(DEB_BUILD_GNU_CPU),i686)
+  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
+endif
+
+# This is a shame, but there is yet no AltiVec for Linux PowerPC with SETI
+SETIEXTRAFLAGS= --disable-altivec
+
+# Link-time optimisation demands knowledge about all CFLAGS both at
+# compile time (as represented by CFLAGS and CXXFLAGS) but also at
+# at link time.
+#ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
+# $(info I: Activating LinkTimeOptimisation)
+# SETIEXTRAFLAGS += -flto
+# LDFLAGS += -flto
+# #CXX := $(CXX) $(CXXFLAGS)
+# #CC := $(CC) $(CFLAGS)
+# AR := gcc-ar
+# RANLIB := gcc-ranlib
+#endif
+
 # Although all source file are C++, some handwritten rules in
 # client/Makefile.am seem to use CFLAGS only.
 CFLAGS   += $(CFLAGS_APPEND)
 CXXFLAGS += $(CFLAGS_APPEND)
-
-# This is a shame, but there is yet no AltiVec for Linux PowerPC with SETI
-SETIEXTRAFLAGS= --disable-altivec
-
-ifeq ($(DEB_BUILD_GNU_CPU),x86_64)
-  SETIEXTRAFLAGS += --enable-sse3
-#  SETIEXTRAFLAGS += --disable-avx
-#  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
-endif
-
-ifeq ($(DEB_BUILD_GNU_CPU),i686)
-  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
-endif
 
 
 # Get upstream version from debian version.
@@ -143,8 +173,8 @@
 	rm -f boinc_finish_called result.sah state.sah stderr.txt stderrgfx.txt wisdom.sah work_unit.sah boinc_lockfile project_specific_defines.h boinc_setiathome_*
 
 override_dh_install: 
-	cp -f nographics/client/seti_boinc  nographics/client/setiathome_v7
-	cp -f graphics/client/seti_boinc    graphics/client/setiathome_v7
+	cp -f nographics/client/seti_boinc  nographics/client/setiathome_v8
+	cp -f graphics/client/seti_boinc    graphics/client/setiathome_v8
 	cp -f graphics/client/seti_graphics graphics/client/setiathome_graphics
 	cat debian/extra/app_info.xml.in | perl -ne 'print unless /^#/' | \
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
@@ -154,7 +184,7 @@
 
 
 override_dh_strip:
-	dh_strip --dbg-package=boinc-app-seti-dbg
+	dh_strip --dbgsym-migration=boinc-app-seti-dbg
 
 
 origDir ?= .

## boinc-app-seti 8.00~svn3701

=== debian/changelog ===
boinc-app-seti (8.00~svn3701-1) unstable; urgency=medium

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Sep 2017 19:33:46 +0200

boinc-app-seti (8.00~svn3701-1~exp1) experimental; urgency=medium

  * New upstream release, patch refresh
  * Bump compat level to 10.
  * Try to fix arm64 build.
  * Bump std-version to 4.1.0, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Apr 2017 14:24:24 +0200

boinc-app-seti (8.00~svn3643-1~exp3) experimental; urgency=medium

  * Introduced LTO (Link Time Optimization).

 -- Steffen Moeller <moeller@debian.org>  Tue, 11 Apr 2017 00:23:22 +0200

boinc-app-seti (8.00~svn3643-1~exp2) experimental; urgency=medium

  * Moved to debhelper 10, eliminating invocation of dh_autoreconf (Gianfranco and Steffen)
  * Gave explicit reference to libboinc-app7 (>= 7.6.33) (Closes: #825374).

 -- Steffen Moeller <moeller@debian.org>  Mon, 10 Apr 2017 18:14:54 +0200

boinc-app-seti (8.00~svn3643-1~exp1) experimental; urgency=medium

  * New upstream release, drop upstream fix.
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Apr 2017 10:14:51 +0200

boinc-app-seti (8.00~svn3363-4) unstable; urgency=medium

  * Fix broken symlink (thanks Andreas Beckmann!)
    Closes: #857517

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Mar 2017 16:29:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1.1),
                freeglut3-dev,
                libboinc-app-dev,
@@ -21,7 +20,7 @@
 
 Package: boinc-app-seti
 Architecture: any
-Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
+Depends: boinc-client, libboinc-app7 (>= 7.6.33), ${misc:Depends}, ${shlibs:Depends}
 Suggests: boinc-manager
 Conflicts: boinc-app-seti-graphics
 Description: SETI@home application for the BOINC client
@@ -50,7 +49,7 @@
 
 Package: boinc-app-seti-graphics
 Architecture: any
-Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
+Depends: boinc-client, libboinc-app7 (>= 7.6.33), ${misc:Depends}, ${shlibs:Depends}
 Suggests: boinc-manager
 Conflicts: boinc-app-seti
 Description: SETI@home application for the BOINC client (with graphics)

=== debian/rules ===
--- 
+++ 
@@ -107,15 +107,10 @@
 # Link-time optimisation demands knowledge about all CFLAGS both at
 # compile time (as represented by CFLAGS and CXXFLAGS) but also at
 # at link time.
-#ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
-# $(info I: Activating LinkTimeOptimisation)
-# SETIEXTRAFLAGS += -flto
-# LDFLAGS += -flto
-# #CXX := $(CXX) $(CXXFLAGS)
-# #CC := $(CC) $(CFLAGS)
-# AR := gcc-ar
-# RANLIB := gcc-ranlib
-#endif
+ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
+ $(info I: Activating LinkTimeOptimisation)
+ SETIEXTRAFLAGS += --enable-lto
+endif
 
 # Although all source file are C++, some handwritten rules in
 # client/Makefile.am seem to use CFLAGS only.
@@ -131,7 +126,7 @@
 
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 CFGFLAGS = \
 	  --disable-static-client \
@@ -197,7 +192,7 @@
 	cd $(origDir); \
 	EXP=/tmp/download-seti; \
 	nice="nice -5"; if [ -x /usr/bin/ionice ]; then nice="$$nice ionice -c 3"; fi ; \
-	$$nice wget -O$$EXP "http://git.debian.org/?p=pkg-boinc/scripts.git;a=blob_plain;f=export-seti;hb=HEAD" --quiet && \
+	$$nice wget -O$$EXP "https://anonscm.debian.org/cgit/pkg-boinc/scripts.git/plain/export-seti" --quiet && \
 	chmod +x $$EXP && $$EXP && rm -f $$EXP
 
 .PHONY: get-orig-source

## boinc-app-seti 8.00~svn3725

=== image_libs/Makefile ===

subdir = image_libs

SUFFIXES = .cpp .h

all: Makefile

clean:
	rm -f *.o

distclean: clean
	-rm -f Makefile

=== debian/changelog ===
boinc-app-seti (8.00~svn3725-3) unstable; urgency=medium

  * Switch export script to salsa.d.o
  * Update std-version to 4.1.4.1
  * Update Homepage to https mode
  * Update VCS fields to salsa.d.o

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Jun 2018 00:03:28 +0200

boinc-app-seti (8.00~svn3725-2) unstable; urgency=medium

  * Fix arm64 build (add again the arm64 patch).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 May 2018 10:09:59 +0200

boinc-app-seti (8.00~svn3725-1) unstable; urgency=medium

  * Upload to unstable
  * Fix build failure due to missing stdio.h include

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 May 2018 20:26:24 +0200

boinc-app-seti (8.00~svn3725-1~exp1) experimental; urgency=medium

  * New upstream version 8.00~svn3725
  * Bump std-version to 4.1.0, no changes required.
  * Try to drop arm64 patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 May 2018 19:26:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4.1
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1.1),
                freeglut3-dev,
@@ -14,9 +14,9 @@
                libjpeg-dev,
                libxi-dev,
                libxmu-dev
-Vcs-Git: https://anonscm.debian.org/git/pkg-boinc/boinc-app-seti.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-boinc/boinc-app-seti.git
-Homepage: http://setiathome.berkeley.edu/
+Vcs-Browser: https://salsa.debian.org/pkg-boinc-team/boinc-app-seti
+Vcs-Git: https://salsa.debian.org/pkg-boinc-team/boinc-app-seti.git
+Homepage: https://setiathome.berkeley.edu/
 
 Package: boinc-app-seti
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -192,7 +192,7 @@
 	cd $(origDir); \
 	EXP=/tmp/download-seti; \
 	nice="nice -5"; if [ -x /usr/bin/ionice ]; then nice="$$nice ionice -c 3"; fi ; \
-	$$nice wget -O$$EXP "https://anonscm.debian.org/cgit/pkg-boinc/scripts.git/plain/export-seti" --quiet && \
+	$$nice wget -O$$EXP "https://salsa.debian.org/pkg-boinc-team/scripts/raw/master/export-seti" --quiet && \
 	chmod +x $$EXP && $$EXP && rm -f $$EXP
 
 .PHONY: get-orig-source

## boinc-app-seti 8.00~svn4035

=== debian/changelog ===
boinc-app-seti (8.00~svn4035-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:35:09 +0100

boinc-app-seti (8.00~svn4035-1) unstable; urgency=medium

  * New upstream version 8.00~svn4035
  * Bump std-version to 4.3.0,
  * Bump compat level to 12
  * Copyright in https mode
  * Drop trailing spaces
  * Use dpkg to parse revisions

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 07 Jul 2019 14:14:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 4.1.4.1
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                freeglut3-dev,
                libboinc-app-dev,

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/pkg-info.mk
 
 DEB_BUILD_GNU_CPU  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -74,7 +75,7 @@
 ifneq (,$(findstring local,$(DEB_BUILD_OPTIONS)))
 LOCALOPTIMISATION="yes"
 endif
-ifeq (,$(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'UNRELEASED'))
+ifeq "$(DEB_DISTRIBUTION)" "UNRELEASED"
 LOCALOPTIMISATION="yes"
 endif
 endif
@@ -119,8 +120,7 @@
 
 
 # Get upstream version from debian version.
-UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | \
-  cut -d ' ' -f 2 | cut -d '-' -f 1 | cut -d '+' -f 1 | cut -d '~' -f 1 | perl -pe 's/^.*?://')
+UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) |cut -d '-' -f 1 | cut -d '+' -f 1 | cut -d '~' -f 1)
 # Remove dot "." in upstream version for use in app_info.xml
 APP_INFO_VERSION = $(subst .,,$(UPSTREAM_VERSION))
 
@@ -167,7 +167,7 @@
 	# may be seen after invoking binary
 	rm -f boinc_finish_called result.sah state.sah stderr.txt stderrgfx.txt wisdom.sah work_unit.sah boinc_lockfile project_specific_defines.h boinc_setiathome_*
 
-override_dh_install: 
+override_dh_install:
 	cp -f nographics/client/seti_boinc  nographics/client/setiathome_v8
 	cp -f graphics/client/seti_boinc    graphics/client/setiathome_v8
 	cp -f graphics/client/seti_graphics graphics/client/setiathome_graphics
@@ -175,8 +175,10 @@
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
 	cat debian/extra-graphics/app_info.xml.in | perl -ne 'print unless /^#/' | \
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra-graphics/app_info.xml
-	dh_install --list-missing
-
+	dh_install
+
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_strip:
 	dh_strip --dbgsym-migration=boinc-app-seti-dbg
